import { FocusMonitor, FocusOrigin } from '@angular/cdk/a11y';
import { AfterViewInit, ElementRef, EventEmitter, InjectionToken, OnDestroy } from '@angular/core';
import * as i0 from "@angular/core";
export interface KbqOptionActionParent {
    dropdownTrigger: {
        opened: boolean;
        restoreFocus: boolean;
        dropdownClosed: EventEmitter<void>;
        lastDestroyReason: void | 'click' | 'keydown' | 'tab';
        openedBy: Exclude<FocusOrigin, 'program' | null> | undefined;
        toggle(): void;
    };
    tooltipTrigger: {
        disabled: boolean;
    };
    focus(): void;
}
export declare const KBQ_OPTION_ACTION_PARENT: InjectionToken<KbqOptionActionParent>;
export declare class KbqOptionActionComponent implements AfterViewInit, OnDestroy {
    private elementRef;
    private focusMonitor;
    private option;
    get disabled(): boolean;
    set disabled(value: boolean);
    private _disabled;
    hasFocus: boolean;
    get active(): boolean;
    private readonly destroyRef;
    constructor(elementRef: ElementRef<HTMLElement>, focusMonitor: FocusMonitor, option: KbqOptionActionParent);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    focus(origin?: FocusOrigin, options?: FocusOptions): void;
    onClick($event: any): void;
    onKeyDown($event: any): void;
    private preventShowingTooltip;
    static ɵfac: i0.ɵɵFactoryDeclaration<KbqOptionActionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KbqOptionActionComponent, "kbq-option-action", ["kbqOptionAction"], { "disabled": { "alias": "disabled"; "required": false; }; }, {}, never, ["[kbq-icon]"], false, never>;
    static ngAcceptInputType_disabled: unknown;
}
